body {
    margin: 0 auto;
    overflow: hidden;
}

#main {
    display: flex;
    justify-content: center;
}

#L {
    box-sizing: border-box;
    height: 100vh;
    width: 15vw;
    background: whitesmoke;
    overflow: auto;
}

#P {
    box-sizing: border-box;
    height: 100vh;
    width: 65vw;
    overflow: auto;
    background: lightgray;
}

#object1 {
    box-sizing: border-box;
    height: 100vh;
    width: 20vw;
    background: whitesmoke;
    overflow: auto;
}

button, input[type=submit] {
    cursor: pointer;
    outline: transparent;
}

.button1 {
    margin: 10%;
    width: 80%;
    height: 40px;
    border: 3px solid darkred;
}

.button2 {
    margin: 10%;
    width: 80%;
    height: 40px;
    border: 3px solid rgb(247, 141, 2);
}

.button3 {
    margin: 10%;
    width: 80%;
    height: 40px;
    border: 3px solid rgb(247, 141, 2);
    color: crimson;
}

#sel1 {
    margin: 10%;
    width: 80%;
    height: 30px;
}

#plansza {
    position: relative;
    margin: 5px;
    width: 98%;
    height: 98%;
}

.hex {
    position: absolute;
    width: 110px;
    height: 95px;
    background-size: 100% 100%;
    background-image: url(../img/hexagon.png);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.activeBt {
    filter: drop-shadow(0px 0px 6px rgb(207, 1, 1))
}

.selected {
    box-sizing: border-box;
    width: 80%;
    height: 90%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(img/arroww.png);
    background-size: cover;
    font-size: 25px;
    font-weight: bold;
}

*::selection {
    background: transparent;
}

.sel0 {
    transform: rotate(0deg);
}

.sel1 {
    transform: rotate(60deg);
}

.sel2 {
    transform: rotate(120deg);
}

.sel3 {
    transform: rotate(180deg);
}

.sel4 {
    transform: rotate(240deg);
}

.sel5 {
    transform: rotate(300deg);
}

input[type=range] {
    z-index: 3;
    position: absolute;
    top: 0px;
}

#lightPower {
    left: 250px
}

.walls {
    filter: hue-rotate(0);
}

.light {
    filter: grayscale(100%);
}

.enemy {
    filter: hue-rotate(310deg);
}

.ally {
    filter: hue-rotate(70deg);
}

.treasure {
    filter: hue-rotate(20deg);
}

#walls {
    background: rgb(255, 145, 0)
}

#light {
    background: rgb(173, 173, 173)
}

#enemy {
    background: rgb(250, 115, 121)
}

#ally {
    background: rgb(37, 211, 89)
}

#treasure {
    background: rgb(159, 187, 57)
}